CommetCommet
GitHubDiscordStatus
Create offer POSTDelete offer DELETEGet offer GETList offers GETUpdate offer PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List offers

List reusable offer terms. Offers are independent from plans, prices, eligibility, and distribution channels.

GET
/offers

List reusable offer terms. Offers are independent from plans, prices, eligibility, and distribution channels.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
active?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers"
{  "object": "list",  "data": [    {      "id": "offer_1a2b3c4d",      "name": "Launch discount",      "phases": [        {          "type": "percentage",          "durationCycles": 3,          "durationInterval": "monthly",          "percentage": 20        }      ],      "metadata": {},      "startsAt": null,      "endsAt": null,      "active": true,      "createdAt": "2026-09-07T12:00:00.000Z",      "updatedAt": "2026-09-07T12:00:00.000Z",      "object": "offer",      "livemode": false    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get offer GET

Retrieve reusable offer terms by public ID.

Update offer PATCH

Replace reusable offer terms. Existing applications keep their immutable accepted terms.